Bug 1262731 - No pop-up displayed when a volume with geo-rep session is being stopped. [NEEDINFO]
No pop-up displayed when a volume with geo-rep session is being stopped.
Status: CLOSED CANTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
unspecified
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Sahina Bose
Sweta Anandpara
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 04:47 EDT by Triveni Rao
Modified: 2018-01-29 10:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-01-29 10:12:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sanandpa: needinfo? (sanandpa)


Attachments (Terms of Use)
pic1 (110.89 KB, image/png)
2015-09-14 04:47 EDT, Triveni Rao
no flags Details
pic2 (62.39 KB, image/png)
2015-09-14 04:48 EDT, Triveni Rao
no flags Details

  None (edit)
Description Triveni Rao 2015-09-14 04:47:40 EDT
Created attachment 1073131 [details]
pic1

Description of problem:
========================
No pop-up displayed when a volume with geo-rep session is being stopped.
When i try to stop the volume which has geo-rep session doesnot show any pop-up window saying that geo-rep session is on/off/ and hence cannot stop volume.


Version-Release number of selected component (if applicable):
=============================================================
root@casino-vm5 ~]# rpm -qa | grep rhsc
rhsc-sdk-python-3.0.0.0-0.2.el6rhs.noarch
rhsc-setup-plugin-ovirt-engine-common-3.1.1-0.64.el6.noarch
rhsc-backend-3.1.1-0.64.el6.noarch
rhsc-setup-3.1.1-0.64.el6.noarch
rhsc-3.1.1-0.64.el6.noarch
rhsc-monitoring-uiplugin-0.2.4-1.el6rhs.noarch
rhsc-log-collector-3.1.0-1.0.el6rhs.noarch
rhsc-tools-3.1.1-0.64.el6.noarch
rhsc-restapi-3.1.1-0.64.el6.noarch
rhsc-setup-plugins-3.1.0-3.el6rhs.noarch
rhsc-cli-3.0.0.0-0.2.el6rhs.noarch
rhsc-lib-3.1.1-0.64.el6.noarch
rhsc-webadmin-portal-3.1.1-0.64.el6.noarch
rhsc-dbscripts-3.1.1-0.64.el6.noarch
rhsc-extensions-api-impl-3.1.1-0.64.el6.noarch
rhsc-setup-plugin-ovirt-engine-3.1.1-0.64.el6.noarch
rhsc-doc-3.1.0-1.el6eng.noarch
rhsc-branding-rhs-3.1.0-1.el6rhs.noarch
rhsc-setup-base-3.1.1-0.64.el6.noarch
redhat-access-plugin-rhsc-3.0.0-3.el6rhs.noarch
[root@casino-vm5 ~]# 




How reproducible:
===================
easily

Steps to Reproduce:
1. create a geo-rep session between master and slave node.
2.try stopping the master volume.
3.it should not stop but it should display the message.

Actual results:
===============
It doesnot display any pop-up window but in the alert section the messages are shown.

Expected results:
=================
Pop-up window expected to inform user that there is a geo-rep session present on the volume and hence cannot stop volume.

Additional info:

attached the pics.
Comment 2 Triveni Rao 2015-09-14 04:48:34 EDT
Created attachment 1073132 [details]
pic2
Comment 4 Sahina Bose 2016-02-24 01:45:59 EST
Is there an error in stopping the volume when geo-rep is running?
Comment 8 Sahina Bose 2018-01-29 10:12:06 EST
Thank you for your report. This bug is filed against a component for which no further new development is being undertaken

Note You need to log in before you can comment on or make changes to this bug.